Subject: [Xml-sg-cmt] Subseries titles

From: Robert Sparks <[email-masked]>
Date: Tue, 25 Jan 2022 16:26:36 -0600

See 
https://github.com/ietf-ribose/bibxml-service/issues/94#issuecomment-1020627998

Note Tony's question at "I think the |<referencegroup>| really SHOULD 
have a way to express the title."

I note that none of the BCPs have titles in rfc-index.html. Has not 
being able to give them one been problematic?

There are STDs that do.

The most recent is

     <std-entry>
         <doc-id>STD0095</doc-id>
         <title>RDAP</title>
         <is-also>
             <doc-id>RFC7480</doc-id>
             <doc-id>RFC7481</doc-id>
             <doc-id>RFC9082</doc-id>
             <doc-id>RFC9083</doc-id>
         </is-also>
     </std-entry>

How is that title supposed to be represented when talking about STD0095?

RjS

---

From: Alice Russo <[email-masked]>
Date: Wed, 26 Jan 2022 14:18:31 -0800

Hi Robert,
inline.

> On Jan 25, 2022, at 2:26 PM, Robert Sparks <[email-masked] <mailto:[email-masked]>> wrote:
> 
> See https://github.com/ietf-ribose/bibxml-service/issues/94#issuecomment-1020627998 <https://github.com/ietf-ribose/bibxml-service/issues/94#issuecomment-1020627998>
> 
> Note Tony's question at "I think the <referencegroup> really SHOULD have a way to express the title."
> 
> I note that none of the BCPs have titles in rfc-index.html. Has not being able to give them one been problematic?
> 
> 
No. The reference format for the multi-RFC STDs and BCPs in RFC 7322 does not include a title (beyond the RFC-specific titles).

> How is that title supposed to be represented when talking about STD0095?
It shouldn't be.  I propose that the title of <std-entry> no longer appear in rfc-index.xml - and that it should not be propagated to the reference.  (As a parallel, such a title -- which exists in the db for BCPs that contain more than one RFC -- is not included in any <bcp-entry> in rfc-index.xml.)

The title of each RFC within the STD (or BCP) seems useful to the reader - and it has actually been reviewed.

I think the <title> shown above is a remnant of a historic effort (started before the year 2005) to give titles to STDs and BCPs that contain more than one RFC.

Thanks,
Alice

> RjS
> 
> 
> 
> -- 
> Xml-sg-cmt mailing list
> [email-masked] <mailto:[email-masked]>
> https://www.ietf.org/mailman/listinfo/xml-sg-cmt <https://www.ietf.org/mailman/listinfo/xml-sg-cmt>